# OpenGl_tXfm.h File Reference

## Defines

#define | OCC2934
#define | OCC7667
#define | NUM_FONT_ENTRIES (sizeof(fontEntry)/sizeof(FontEntry))
#define | NUM_FONT_SIZES 40
#define | NUM_CHAR_FONT 1024
#define | CACHE_SIZE 30

## Typedefs

typedef TXFM_FONTHANDLE_STRUCT | TXFM_FONTHANDLE
typedef TXFM_FONTHANDLE_STRUCT * | txfmfonthandle
typedef * | FontEntryPtr

## Functions

txfmfonthandle | tXfmfindfont (Display *, char *, float)
GLuint | tXfmsetfont (float, float)
void | tXfmprstr (unsigned char *, GLuint, GLfloat, GLfloat, GLfloat)
void | sizeString (char *text, GLint *width, GLint *ascent, GLint *descent)

## Define Documentation

#define CACHE_SIZE 30

#define NUM_CHAR_FONT 1024

#define NUM_FONT_ENTRIES (sizeof(fontEntry)/sizeof(FontEntry))

#define NUM_FONT_SIZES 40

#define OCC2934

#define OCC7667

## Typedef Documentation

typedef * FontEntryPtr

typedef struct TXFM_FONTHANDLE_STRUCT TXFM_FONTHANDLE

typedef struct TXFM_FONTHANDLE_STRUCT * txfmfonthandle

## Function Documentation

void sizeString | ( | char * | text,
|  | GLint * | width,
|  | GLint * | ascent,
|  | GLint * | descent
| ) |

txfmfonthandle tXfmfindfont | ( | Display * | ,
|  | char * | ,
|  | float |
| ) |

void tXfmprstr | ( | unsigned char * | ,
|  | GLuint | ,
|  | GLfloat | ,
|  | GLfloat | ,
|  | GLfloat |
| ) |

GLuint tXfmsetfont | ( | float | ,
|  | float |
| ) |